# Interface MessageHeaderInterface

All Known Implementing Classes:
  `MessageHeader`

public interface MessageHeaderInterface

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`MessageHeaderInterface.MessageHeaderType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`BINDINGERRORRESPONSE`
`static final int`
`BINDINGREQUEST`
`static final int`
`BINDINGRESPONSE`
`static final int`
`SHAREDSECRETERRORRESPONSE`
`static final int`
`SHAREDSECRETREQUEST`
`static final int`
`SHAREDSECRETRESPONSE`

## Field Details

### BINDINGREQUEST

static final int BINDINGREQUEST

See Also:
  - Constant Field Values

### BINDINGRESPONSE

static final int BINDINGRESPONSE

See Also:
  - Constant Field Values

### BINDINGERRORRESPONSE

static final int BINDINGERRORRESPONSE

See Also:
  - Constant Field Values

### SHAREDSECRETREQUEST

static final int SHAREDSECRETREQUEST

See Also:
  - Constant Field Values

### SHAREDSECRETRESPONSE

static final int SHAREDSECRETRESPONSE

See Also:
  - Constant Field Values

### SHAREDSECRETERRORRESPONSE

static final int SHAREDSECRETERRORRESPONSE

See Also:
  - Constant Field Values